Subject: Re: [PATCH] d80211: use list_for_each_entry{,_safe}

From: "Jouni Malinen" <[email-masked]>
Date: Wed, 30 Aug 2006 08:43:22 -0700

On Wed, Aug 30, 2006 at 10:43:39AM +0200, Johannes Berg wrote:
> This patch converts uses of list_for_each and list_for_each_safe to
> list_for_each_entry and list_for_each_entry_safe respectively where
> applicable. It also adds locking in some places though I'm not entirely
> sure that I can do it that way (i.e. call ieee80211_key_enable_hwaccel
> etc. with spinlocks held).

Could you please separate cleanup parts (list_for_each changes) from
functional changes (adding locking) to make it easier to review the
patch?

I would prefer not to hold spinlocks when calling registered callbacks
from the hardware driver. At minimum, this would need to be documented
very clearly to make sure that whoever is writing low-level drivers
would be aware of this. In general, it would just be simpler if this can
be avoided altogether.

-- 
Jouni Malinen                                            PGP id EFC895FA